summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Josiah Boothby2013-01-14 04:35:38 +0100
committer Robby Workman2013-01-14 04:35:38 +0100
commitc96e25c918eabaa478586d45a0f9252836a48ed0 (patch)
tree74e20025cad6be3c99a97fd161a7ab462ae49340
parent28f429be2362128676d9c998a14e9955e290934c (diff)
downloadslackbuilds-c96e25c918eabaa478586d45a0f9252836a48ed0.tar.gz
desktop/e16: Added (window manager for X)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--desktop/e16/README14
-rw-r--r--desktop/e16/doinst.sh4
-rw-r--r--desktop/e16/e16.SlackBuild174
-rw-r--r--desktop/e16/e16.info15
-rw-r--r--desktop/e16/slack-desc19
-rw-r--r--desktop/e16/xinitrc.e1621
6 files changed, 247 insertions, 0 deletions
diff --git a/desktop/e16/README b/desktop/e16/README
new file mode 100644
index 0000000000..9be37a9a4d
--- /dev/null
+++ b/desktop/e16/README
@@ -0,0 +1,14 @@
+The Enlightenment DR16 Window Manager is a robust, flexible, highly
+configurable, graphically rich, yet unobtrusive desktop environment for the X11
+windowing system. It is fully themable and easily configured. There are a wide
+range of configuration options to suit any taste. The menu system is flexible,
+providing easy access to applications, theme selection, documentation,
+settings, and background selection. Enlightenment DR16 integrates well with
+other desktop environments, such as Gnome, KDE, and LXDE. Replace the default
+window managers with E16 and you'll have the power to leverage the best of
+those desktop environments, while at the same time enjoying the superior
+windowing interface that Enlightenment provides.
+
+To disable building and installing the core themes or the E-docs, set THEMES=0
+or DOCS=0 as desired. This SlackBuild does not install Epplets, or the key- or
+menu-editing packages.
diff --git a/desktop/e16/doinst.sh b/desktop/e16/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/desktop/e16/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/desktop/e16/e16.SlackBuild b/desktop/e16/e16.SlackBuild
new file mode 100644
index 0000000000..d4b2c579be
--- /dev/null
+++ b/desktop/e16/e16.SlackBuild
@@ -0,0 +1,174 @@
+#!/bin/sh
+
+# Slackware build script for Enlightenment DR16 (e16)
+
+# Copyright 2013, Josiah Boothby, Seattle
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=e16
+VERSION=${VERSION:-1.0.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Optional themes and documentation
+THEMES=${THEMES:-1} # install themes by default
+TNAME=e16-themes
+TVERSION=${TVERSION:-1.0.1}
+DOCS=${DOCS:-1} # install documentation by default
+DNAME=e16-docs
+DVERSION=${DVERSION:-0.16.8.0.2}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --program-prefix= \
+ --program-suffix= \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Optionally install the core themes
+if [[ -f $CWD/$TNAME-$TVERSION.tar.gz && $THEMES = "1" ]]; then
+ cd $TMP
+ rm -rf $TNAME-$TVERSION
+ tar xzvf $CWD/$TNAME-$TVERSION.tar.gz
+ cd $TNAME-$TVERSION
+ chown -R root:root .
+
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ ./configure --prefix=/usr
+ make
+ make install DESTDIR=$PKG
+fi
+
+# Optionally install the official documentation
+if [[ -f $CWD/$DNAME-$DVERSION.tar.gz && $DOCS = "1" ]]; then
+ cd $TMP
+ rm -rf $DNAME-$DVERSION
+ tar xzvf $CWD/$DNAME-$DVERSION.tar.gz
+ cd $DNAME-$DVERSION
+ chown -R root:root .
+
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ ./configure --prefix=/usr
+ make
+ make install DESTDIR=$PKG
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS \
+ COMPLIANCE \
+ COPYING \
+ ChangeLog \
+ TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Additionally, if themes and documentation are installed, copy their
+# documenation as well.
+if [ $THEMES == "1" ]; then
+ cd $TMP/$TNAME-$TVERSION
+ for f in {AUTHORS,COPYING,ChangeLog}; do
+ cat $f > $PKG/usr/doc/$PRGNAM-$VERSION/$f.themes
+ done
+fi
+
+if [ $DOCS == "1" ]; then
+ cd $TMP/$DNAME-$DVERSION
+ for f in {AUTHORS,COPYING,ChangeLog,README}; do
+ cat $f > $PKG/usr/doc/$PRGNAM-$VERSION/$f.edocs
+ done
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/e16/e16.info b/desktop/e16/e16.info
new file mode 100644
index 0000000000..1d508a04ac
--- /dev/null
+++ b/desktop/e16/e16.info
@@ -0,0 +1,15 @@
+PRGNAM="e16"
+VERSION="version of application"
+HOMEPAGE="http://www.enlightenment.org/p.php?p=about/e16"
+DOWNLOAD="http://downloads.sourceforge.net/project/enlightenment/e16/1.0.11/e16-1.0.11.tar.gz \
+ http://downloads.sourceforge.net/project/enlightenment/e16-themes/1.0.1/e16-themes-1.0.1.tar.gz \
+ http://downloads.sourceforge.net/project/enlightenment/e16-docs/0.16.8.0.2/e16-docs-0.16.8.0.2.tar.gz"
+MD5SUM="80f9b5bffd4c7d98aad4718d4244c8ff \
+ bbd9cfd969610c29c7627c2ba1ce3094 \
+ 46bcdcc5cdad76159923671cfcea93f9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Josiah Boothby"
+EMAIL="josiahb@gmail.com"
+
diff --git a/desktop/e16/slack-desc b/desktop/e16/slack-desc
new file mode 100644
index 0000000000..c5ccd75bb9
--- /dev/null
+++ b/desktop/e16/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+e16: Enlightenment DR 16 (window manager for X)
+e16:
+e16: The Enlightenment DR16 Window Manager is a robust, flexible, highly
+e16: configurable, graphically rich, yet unobtrusive desktop environment
+e16: for the X11 window system. It is fully themable and easily configured.
+e16: There are a wide range of configuration options to suit any taste.
+e16:
+e16:
+e16:
+e16:
+e16:
diff --git a/desktop/e16/xinitrc.e16 b/desktop/e16/xinitrc.e16
new file mode 100644
index 0000000000..af546606c9
--- /dev/null
+++ b/desktop/e16/xinitrc.e16
@@ -0,0 +1,21 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+[ -f $sysresources ] && xrdb -merge $sysresources
+[ -f $sysmodmap ] && xmodmap $sysmodmap
+[ -f $userresources ] && xrdb -merge $userresources
+[ -f $usermodmap ] && xmodmap $usermodmap
+
+# Start the window manager:
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ exec ck-launch-session dbus-launch --exit-with-session /usr/bin/e16
+else
+ exec /usr/bin/e16
+fi
+